#include <bits/stdc++.h>

using namespace std;

struct teritorija{
    int granica1;
    int granica2;
};

int main(){
    int n;
    cin >> n;
    teritorija a[n];
    for(int i = 0;i < n - 1;i++) cin >> a[i].granica1 >> a[i].granica2;
    int teritorije;
    if(n%2 == 0)
        teritorije = n/2;
    else
        teritorije = n/2 + 1;
    bool teri[n+1];
    teri[0] = teri[1] = true;
    int tr;
    for(int i = 3;i < n;i+=2){
        if(teritorije > 0){
            teri[i] = true;
            tr = i;
            teritorije--;
        }
    }
    cout << tr - 1;
    return 0;
}